Bug 212038 - Configure needs to generate program wrapper scripts
Configure needs to generate program wrapper scripts
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2006-10-24 14:50 EDT by Nathan Kinder
Modified: 2015-12-07 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:17:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (11.34 KB, patch)
2006-10-24 14:50 EDT, Nathan Kinder
no flags Details | Diff
Wrapper template (infadd.in) (2.13 KB, text/plain)
2006-10-24 14:54 EDT, Nathan Kinder
no flags Details
CVS Commit Message (3.17 KB, text/plain)
2006-10-24 17:18 EDT, Nathan Kinder
no flags Details

  None (edit)
Description Nathan Kinder 2006-10-24 14:50:04 EDT
We need to make configure generate wrapper scripts for the programs included in
the Directory Server package.  We will need configure to substitute the paths to
dependent libraries into the wrappers.

The attached diffs add variable substitution support for the library directories
for nspr, nss, mozldap, db, sasl, and netsnmp.  I have also created wrapper
templates for all of our programs.  The actual wrappers will be created by
configure and installed when one does a "make install".  I had to move the
installation path settings out of Makefile.am and into configure.ac so we could
do substitutions of installed paths (which is required for setting the location
of the actual binary in each wrapper).

In addition to the diffs, there are new files for each of the wraper templates.
 I currently have these wrapper templates in ldapserver/wrappers, but we may
want to put them elsewhere in the source tree.  Does anyone have any suggestions
for the location?
Comment 1 Nathan Kinder 2006-10-24 14:50:05 EDT
Created attachment 139252 [details]
CVS Diffs
Comment 2 Nathan Kinder 2006-10-24 14:54:38 EDT
Created attachment 139253 [details]
Wrapper template (infadd.in)

This is the new wrapper templaate file for the infadd utility.	I'm not going
to attach all of the new wrapper scripts as they are essentially the same aside
from the program name and the library path that each program needs set.  I have
wrapper templates created for the following programs:

  dbscan.in   ds_newinst.in  ldap-agent.in  ldif.in	    mmldif.in  
rsearch.in
  dsktune.in  infadd.in      ldclt.in	    migratecred.in  pwdhash.in
Comment 3 Noriko Hosoi 2006-10-24 15:02:07 EDT
Looks good to me.
Comment 4 Nathan Kinder 2006-10-24 17:18:56 EDT
Created attachment 139273 [details]
CVS Commit Message

Thanks for the review Noriko!  The fixes are now checked into ldapserver
(HEAD).
Comment 5 Michael Gregg 2007-12-11 16:04:24 EST
 
Set to be verified by builtteam

Note You need to log in before you can comment on or make changes to this bug.